For the complete documentation index, see llms.txt. This page is also available as Markdown.

/api/v1/selphid/extract/template

Extracts the facial template and features from a raw template.

post
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Corpo

A raw template, used for extraction.

faceTemplatestringObrigatório

Biometric template buffer, obtained through GetFacialTemplate(), base64-encoded.

Example: BAEBGgEroySjGz2C9iIki35J/FA...
Respostas
200

Result of the facial extraction.

application/json

The result of an extraction operation.

facialTemplatestringOpcional

Biometric template buffer, obtained through GetFacialTemplate(), base64-encoded.

Example: BAEBGgEroySjGz2C9iIki35J/FA...
facialTemplateRawstringOpcional

Biometric template buffer, obtained through GetFacialTemplateRaw(), base64-encoded.

Example: BAEBAQHjF08R/Fbogyt7nysPd/K...
updatedTemplateRawbooleanOpcional

The templateRaw has been updated in the extraction operation.

Example: true
iodnumberOpcional

Interocular distance.

Example: 118
yawnumberOpcional

Facial yaw angle in degrees.

Example: 2.4
pitchnumberOpcional

Facial pitch angle in degrees.

Example: -4.32
rollnumberOpcional

Facial roll angle in degrees.

Example: 0.7
glassesstring · enumOpcional

Whether the person in the image wears glasses (and of which type).

Example: EyeValores possíveis:
agenumberOpcional

Approximate age of the person.

Example: 45
genderstring · enumOpcional

The facial gender of the person in the image.

Example: MaleValores possíveis:
masknumber · máx: 1Opcional

The probability of a face mask.

Example: 0.89
faceConfidencenumber · máx: 1Opcional

Predicted face confidence.

Example: 0.99
facialQualitystring · enumOpcional

A metric indicating how accurately a template will perform in recognition.

Example: GoodValores possíveis:
validTimeStampbooleanOpcional

In authentication, liveness and extraction operations that involve templateRaws, indicates whether the template's lifetime is valid. See "options:elapsedAllowedSeconds". In operations that do not involve raw templates, it is always true.

Example: true
tokenTimeStampstringOpcional

The token's internal date and time value in "%Y-%m-%dT%H:%M:%SZ" format.

Example: 2022-01-14T10:42:05.521922Z
sdkDurationnumberOpcional

Duration of the operation in milliseconds.

Example: 1234
post/api/v1/selphid/extract/template
POST /api/v1/selphid/extract/template HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 418

{
  "faceTemplate": "BAEBGgEroySjGz2C9iIki35J/FA...",
  "options": {
    "longDetail": true,
    "elapsedAllowedSeconds": 3600,
    "futureAllowedSeconds": 3600,
    "facialDetection": "Frontal",
    "minFaceAbsPx": 35,
    "minFaceRel": 0.04,
    "minIodPx": 35,
    "maxPoseDegrees": 30,
    "minFacialQuality": "Good",
    "analyticsDetection": true,
    "templateRawExtraction": true,
    "falseDetectRate": 0.02,
    "maxCantidates": 5,
    "minSimilarity": 0.7,
    "authThreshold": 60,
    "livenessDepth": "Full"
  }
}
{
  "facialTemplate": "BAEBGgEroySjGz2C9iIki35J/FA...",
  "facialTemplateRaw": "BAEBAQHjF08R/Fbogyt7nysPd/K...",
  "updatedTemplateRaw": true,
  "face": {
    "x": 546,
    "y": 224,
    "width": 200,
    "height": 300
  },
  "leftEye": {
    "x": 546,
    "y": 224
  },
  "rightEye": {
    "x": 546,
    "y": 224
  },
  "chin": {
    "x": 546,
    "y": 224
  },
  "nose": {
    "x": 546,
    "y": 224
  },
  "leftMouth": {
    "x": 546,
    "y": 224
  },
  "rightMouth": {
    "x": 546,
    "y": 224
  },
  "iod": 118,
  "yaw": 2.4,
  "pitch": -4.32,
  "roll": 0.7,
  "glasses": "Eye",
  "age": 45,
  "gender": "Male",
  "mask": 0.89,
  "faceConfidence": 0.99,
  "facialQuality": "Good",
  "validTimeStamp": true,
  "tokenTimeStamp": "2022-01-14T10:42:05.521922Z",
  "sdkDuration": 1234
}

Atualizado